<?php
/**
 * @package Sayfa Sayac - PostReadCounter
 * @author  dmRy, Frank B&uuml;ltge
 * @version 3.5.7
 */
 
/*
Plugin Name: Sayfa Sayac - PostReadCounter
Plugin URI:  http://bueltge.de/wp-sayfa-sayac-de-counter-fuer-beitraege-gelesen-plugin/83/
Description: Show pages reading count and these statistic.
Author:      dmRy, Frank B&uuml;ltge
Author URI:  http://bueltge.de/
Version:     3.5.7
License:     GNU General Public License
Last Change: 11.08.2009 01:39:14
*/

/*
changeset:
    * v2.1 - deutsche Oberflche
    * v2.2 - Statistikauswertung im Adminbereich von WP
    * v2.3 - optimieter Code und Funktion zur freien Nutzung
    * v2.4 - Bug fixed
    * v2.5 - Komplikation mit Plugin stats behoben
    * v3.0 - WP 2.1 tauglich und viele Verfeinerungen im Code, Mehrsprachigkeit
    * v3.2 - bergabe Datum in Abhngigkeit der WP-Einstellungen, diverse Kleinigkeiten (Achtung, bei einem Update, in der Funktion sayfa_sayac ist Parameter date entfallen)
    * v3.3 - top per day, neues admin panel, neue semantic im code
    * v3.4 - neue Reporter-Funktion, bessere Performance, permalink-entfernt, anders geloest
    * v3.5 - Erweiterungen der Ausgabe, Datum der veroeffentlichungsettingslink, WP 2.7 Design
    * v3.5.1 - englische Oberflaeche, Bugfix bloginfo()
    * v3.5.2 - icon for WP 2.7, Statistic-Link
    * v3.5.3 - parameter fr bergabe Datum
    * v3.5.5 - date_i18n -> multilangul dateformat
    * v3.5.6 - Anapssung fr WP 2.8
    * v3.5.7 - Filter fr Title, Parameter berprfung fr alt-Klasse gendert
*/


function fb_sayfa_sayac_textdomain() {

	if (function_exists('load_plugin_textdomain')) {
		if ( !defined('WP_PLUGIN_DIR') ) {
			load_plugin_textdomain('sayfasayacprc', str_replace( ABSPATH, '', dirname(__FILE__) ) . '/languages');
		} else {
			load_plugin_textdomain('sayfasayacprc', false, dirname(plugin_basename(__FILE__)) . '/languages');
		}
	}
}


/*
 * DB Install
 */
function SayfaSayacYukle() {
	global $wpdb;
	
	$db_sql = "CREATE TABLE IF NOT EXISTS `".$wpdb->prefix."sayfa_sayac` (
										`sayfaID` bigint(20) NOT NULL default '0',
										`sayac_toplam` int(10) NOT NULL default '0',
										`sayac_bugun` int(10) NOT NULL default '0',
										`son_tarih` varchar(50) NOT NULL default '',
										PRIMARY KEY  (`sayfaID`)
	)";
	$wpdb->query($db_sql);
}


/*
 * Sayfa Sayac - Post Counter
 */
function sayfa_sayac($sayac_arttir = 1, $yonetici_okuma_say = 0, $toplam_okunma = 1, $bugun_okunma = 1, $bironceki_tarih = 1, $fb_before = '', $metinden_once = '', $arada = ' &middot; ', $metinden_sonra = '', $fb_after = '') {
	global $wpdb, $wp_query, $userdata;
	
	$id             = $wp_query->post->ID;
	$ip             = $_SERVER['REMOTE_ADDR'];
	$sayac          = $wpdb->get_row("SELECT sayfaID, sayac_toplam, sayac_bugun, son_tarih FROM " . $wpdb->prefix . "sayfa_sayac WHERE sayfaID = $id ");
	$tarih          = time();
	$fb_today_start = date("Ymd", $tarih);
	$fb_today_end   = date("Ymd", $sayac->son_tarih);

	if (!$sayac) {
		$wpdb->get_row("Insert into " . $wpdb->prefix . "sayfa_sayac values ('$id','0','0','$tarih') ");
	}

	if ($fb_today_start > $fb_today_end) {
		$wpdb->get_row("update " . $wpdb->prefix . "sayfa_sayac set sayac_bugun='0' where sayfaID = $id");
	}

	if ( ( (intval($userdata->user_level) < 9) && $sayac_arttir == 1 ) || ( (intval($userdata->user_level) >= 9 ) && $yonetici_okuma_say == 1  && $sayac_arttir == 1) ) {
		$sayac_SQL = "UPDATE " . $wpdb->prefix . "sayfa_sayac set sayac_toplam=(sayac_toplam+1), sayac_bugun=(sayac_bugun+1), son_tarih='$tarih' WHERE sayfaID = $id ";	
		$wpdb->query($sayac_SQL);
		$sayac_art = 1;
	}

	$sayac_toplam = ($sayac_art == 1) ?  $sayac->sayac_toplam + 1 : $sayac->sayac_toplam;
	$sayac_bugun  = ($sayac_art == 1) ?  $sayac->sayac_bugun + 1 : $sayac->sayac_bugun;

	if ($sayac_toplam != '') {
		//setlocale(LC_TIME, 'de_DE');
		//setlocale(LC_TIME, 'de_DE.ISO_8859-1');
		//setlocale(LC_TIME, 'German_Germany');
		//Read WordPress date-options
		//$bironceki_okuma = date(get_option('date_format'), $sayac->son_tarih);
		$bironceki_okuma = date_i18n(get_option('date_format'), $sayac->son_tarih);
		
		$cikti  = $fb_before;
		$cikti .= ($toplam_okunma==1) ? $metinden_once . __('read:', 'sayfasayacprc') . $metinden_sonra . ' ' . $sayac_toplam . $arada : ' ';	
		$cikti .= ($bugun_okunma==1) ? $metinden_once . __('today:', 'sayfasayacprc') . $metinden_sonra . ' ' . $sayac_bugun . $arada : ' ';
		$cikti .= ($bironceki_tarih==1) ? $metinden_once . __('last:', 'sayfasayacprc') . $metinden_sonra . ' ' . $bironceki_okuma . $arada : ' ';
		$cikti  = substr($cikti, 0, -(strlen($arada)));
		$cikti .= $fb_after;
	} else {
		$cikti = '';
	}
	
	echo $cikti;
}


/*
 * Most Reading on Every Time
 */
function get_fb_sayfa_sayac_reporter($fb_count,
                              $fb_before_count,
                               $fb_after_count,
                                    $fb_before,
                             $fb_before_second,
                              $fb_after_second,
                                     $fb_after,
                                     $fb_date,
                                     $fb_type) {
	global $wpdb;
	
	$fb_count = intval($fb_count);
	if ($fb_type == 'post')
		$fb_type = 'WHERE y.post_type = \'post\'';
	elseif ($fb_type == 'page')
		$fb_type = 'WHERE y.post_type = \'page\'';
	else
		$fb_type = 'WHERE y.post_type = \'post\' OR y.post_type = \'page\'';
	$SQL      = "SELECT t.sayfaID, t.sayac_toplam, y.post_title, y.guid, y.post_date, y.post_type
	             FROM " . $wpdb->prefix . "sayfa_sayac AS t
	             INNER JOIN $wpdb->posts AS y
	             ON y.ID = t.sayfaID
	             " . $fb_type . "
	             ORDER BY t.sayac_toplam
	             DESC LIMIT 0, $fb_count";
	$cikti    = $fb_before;
	$sonuclar = $wpdb->get_results($SQL);
	
	if ($sonuclar) {
		
		foreach ($sonuclar as $sonuc) {
			if ( $sonuc->post_type == 'post' ) {
				$post_type = '/?p=';
			} elseif ( $sonuc->post_type == 'page' ) {
				$post_type = '/?page_id=';
			}
			if ($fb_date == 'false') {
				$postdate  = '';
			} else {
				$postdate  = __('from', 'sayfasayacprc') . ' ' . mysql2date($fb_date, $sonuc->post_date);
			}
			$post_title = wptexturize( $sonuc->post_title);
			
			if ( $fb_before_second === '<li class="alt">' || $fb_before_second === '<li>' || $fb_before_second === '<li class="default">' )
				$fb_before_second = ('<li class="alt">' === $fb_before_second) ? '<li class="default">' : '<li class="alt">';
			$cikti .= $fb_before_second . '<a href="' . get_bloginfo('url') . $post_type . $sonuc->sayfaID . '" title="' . $post_title . '">' . $post_title . '</a>' . $fb_before_count . $sonuc->sayac_toplam . $fb_after_count . $postdate . $fb_after_second;
		}
		
		$cikti .= $fb_after;
		
		return $cikti;
	}
}

/**
 * credit in wp-footer
 * @echo function
 */
function fb_sayfa_sayac_reporter($fb_count = 5,
                          $fb_before_count = ' (',
                           $fb_after_count = ')',
                                $fb_before = '<ol>',
                         $fb_before_second = '<li>',
                          $fb_after_second = '</li>',
                                 $fb_after = '</ol>',
                                  $fb_date = 'd.m.Y',
                                  $fb_type = '') {

	echo get_fb_sayfa_sayac_reporter($fb_count,
                            $fb_before_count,
                             $fb_after_count,
                                  $fb_before,
                           $fb_before_second,
                            $fb_after_second,
                                   $fb_after,
                                    $fb_date,
                                    $fb_type);
}


/*
 * Most Reading on Today
 */
function get_fb_sayfa_sayac_reporter_time($fb_count,
                                   $fb_before_count,
                                    $fb_after_count,
                                         $fb_before,
                                  $fb_before_second,
                                   $fb_after_second,
                                          $fb_after,
                                            $fb_mon,
                                            $fb_day,
                                           $fb_year,
                                           $fb_date,
                                           $fb_type) {
	global $wpdb;
		
	$fb_today_start = mktime(0, 0, 0, date($fb_mon), date($fb_day), date($fb_year));
	$fb_today_end   = mktime(23, 59, 59, date("m"), date("j"), date("Y"));
	$fb_count       = intval($fb_count);
	if ($fb_type == 'post')
		$fb_type = 'WHERE y.post_type = \'post\'';
	elseif ($fb_type == 'page')
		$fb_type = 'WHERE y.post_type = \'page\'';
	else
		$fb_type = 'WHERE y.post_type = \'post\' OR y.post_type = \'page\'';
	$SQL            = "SELECT t.sayfaID, t.sayac_bugun, y.post_title, y.guid, y.post_date, y.post_type
	                   FROM " . $wpdb->prefix . "sayfa_sayac AS t
	                   INNER JOIN $wpdb->posts AS y
	                   ON y.ID = t.sayfaID
	                   " . $fb_type . "
	                   AND (t.son_tarih BETWEEN $fb_today_start AND $fb_today_end)
	                   ORDER BY t.sayac_bugun
	                   DESC LIMIT 0, $fb_count";
	$sonuclar       = $wpdb->get_results($SQL);
	
	if ($sonuclar) {
		$cikti  = $fb_before;
		
		foreach ($sonuclar as $sonuc) {
			if ( $sonuc->post_type == 'post' ) {
				$post_type = '/?p=';
			} elseif ( $sonuc->post_type == 'page' ) {
				$post_type = '/?page_id=';
			}
			if ($fb_date == 'false') {
				$postdate = '';
			} else {
				$postdate = __('from', 'sayfasayacprc') . ' ' . mysql2date($fb_date, $sonuc->post_date);
			}
			$post_title = wptexturize( $sonuc->post_title);
			
			if ( $fb_before_second === '<li class="alt">' || $fb_before_second === '<li>' || $fb_before_second === '<li class="default">' )
				$fb_before_second = ('<li class="alt">' == $fb_before_second) ? '<li class="default">' : '<li class="alt">';
			$cikti .= $fb_before_second . '<a href="' . get_bloginfo('url') . $post_type . $sonuc->sayfaID . '" title="' . $post_title . '">' . $post_title . '</a>' . $fb_before_count . $sonuc->sayac_bugun . $fb_after_count . $postdate . $fb_after_second;
		}
		
		$cikti .= $fb_after;
		
		return $cikti;
	}
}


/*
 * statistic per day
 * @echo function
 */
function fb_sayfa_sayac_reporter_time($fb_count = 5,
                               $fb_before_count = ' (',
                                $fb_after_count = ')',
                                     $fb_before = '<ol>',
                              $fb_before_second = '<li>',
                               $fb_after_second = '</li>',
                                      $fb_after = '</ol>',
                                        $fb_mon = 'm',
                                        $fb_day = 'j',
                                       $fb_year = 'Y',
                                       $fb_date = 'd.m.Y',
                                       $fb_type = '') {

	echo get_fb_sayfa_sayac_reporter_time($fb_count,
                                 $fb_before_count,
                                  $fb_after_count,
                                       $fb_before,
                                $fb_before_second,
                                 $fb_after_second,
                                        $fb_after,
                                          $fb_mon,
                                          $fb_day,
                                         $fb_year,
                                         $fb_date,
                                         $fb_type);
}


/*
 * Upgrade 2.0 from 1.0 - 1.1 versions
 */
function SayfaSayacGuncelle() {
	global $wpdb;
		
	$SQL      = "SELECT post_id, post_counter FROM " . $wpdb->prefix . "post_sayac";
	$sonuclar = $wpdb->get_results($SQL);
	
	foreach ($sonuclar as $sonuc) {
		$sayfaID      = $sonuc->post_id;
		$sayac_toplam = $sonuc->post_counter;
		$sayac_bugun  = 0;
		$tarih        = mktime(0, 0, 0, date("m"), date("j")-1, date("Y"));
		$wpdb->get_row("Insert into " . $wpdb->prefix . "sayfa_sayac values ('$sayfaID', '$sayac_toplam', '$sayac_bugun', '$tarih') ");
	}
	
	$wpdb->get_row("DROP TABLE IF EXISTS " . $wpdb->prefix . "post_sayac");
}


if ( isset($_GET['activate']) && $_GET['activate'] == 'true' ) {
	add_action('init', 'SayfaSayacYukle');
	$tablo_ara = $wpdb->get_row("show tables like '" . $wpdb->prefix . "post_sayac' ");
	if ($tablo_ara) add_action('init', 'SayfaSayacGuncelle');
}


/* Get Total Posts */
function fb_sayfa_sayac_get_totalposts() {
	global $wpdb;
	
	$totalposts = $wpdb->get_var("SELECT COUNT(ID) FROM $wpdb->posts WHERE post_status = 'publish'");
	return $totalposts;
}


/**
 * page in backend
 */
function fb_sayfa_sayac_statistic() {
	global $wp_version;

	//  Apply new settings if form submitted
	if ( isset($_POST['Options']) ) {
		$fb_count_day = is_numeric($_POST['fb_count_day']) == true ? intval($_POST['fb_count_day']) : 0;
		$fb_count_all = is_numeric($_POST['fb_count_all']) == true ? intval($_POST['fb_count_all']) : 0;
		$fb_type_day = attribute_escape( $_POST['fb_type_day'] );
		$fb_type_all = attribute_escape( $_POST['fb_type_all'] );
	}
	if ($fb_type_day == 'post')
		$fb_type_day_h3 = __('Posts', 'sayfasayacprc');
	elseif ($fb_type_day == 'page')
		$fb_type_day_h3 = __('Pages', 'sayfasayacprc');
	else
		$fb_type_day_h3 = __('Posts and Pages', 'sayfasayacprc');
	
	if ($fb_type_all == 'post')
		$fb_type_all_h3 = __('Posts', 'sayfasayacprc');
	elseif ($fb_type_all == 'page')
		$fb_type_all_h3 = __('Pages', 'sayfasayacprc');
	else
		$fb_type_all_h3 = __('Posts and Pages', 'sayfasayacprc');
	?>
	
	<div class="wrap">
		<h2><?php _e('Sayfa Sayac - Post Read Counter', 'sayfasayacprc'); ?></h2>
		<br class="clear" />
		
		<div id="poststuff" class="ui-sortable meta-box-sortables">
			<div class="postbox">
				<div class="handlediv" title="<?php _e('Click to toggle'); ?>"><br/></div>
				<h3><?php _e('Top', 'sayfasayacprc'); echo ' ' . $fb_type_day_h3 . ' ' ; _e('Today', 'sayfasayacprc'); ?></h3>
				<div class="inside">
					<form method="post" action="">
						<select name="fb_type_day" id="fb_type_day">
							<option value=""><?php _e('View posts and pages', 'sayfasayacprc'); ?></option>
							<option value="post"><?php _e('Posts', 'sayfasayacprc'); ?></option>
							<option value="page"><?php _e('Pages', 'sayfasayacprc'); ?></option>
						</select>
						<select name="fb_count_day" id="fb_count_day">
							<option value="10">10</option>
							<option value="20">20</option>
							<option value="50">50</option>
							<option value="100">100</option>
							<option value="200">200</option>
							<option value="500">500</option>
							<option value="<?php echo fb_sayfa_sayac_get_totalposts(); ?>"><strong><?php _e('all', 'sayfasayacprc'); ?> <?php echo fb_sayfa_sayac_get_totalposts(); ?></strong></option>
						</select> ( <?php _e('of', 'sayfasayacprc'); ?> <?php echo fb_sayfa_sayac_get_totalposts(); ?> )
						<input class="button-secondary" type="submit" name="Options" value="<?php _e('View', 'sayfasayacprc'); ?> &raquo;" />
					</form>
					<br class="clear" />
					<?php
					if ( !isset($fb_count_day) || ($fb_count_day == '' ) )
						$fb_count_day = 10;
					if ( !isset($fb_type_day) )
						$fb_type_day = '';
					fb_sayfa_sayac_reporter_time($fb_count_day,' ',' <small>(','<ul>','<li>',')</small></li>','</ul>','m','j','Y','d.m.Y, h:i', $fb_type_day); ?>
				</div>
			</div>
		</div>
		
		<div id="poststuff" class="ui-sortable meta-box-sortables">
			<div class="postbox">
				<div class="handlediv" title="<?php _e('Click to toggle'); ?>"><br/></div>
				<h3 id="top_posts"><?php _e('Top', 'sayfasayacprc'); echo ' ' . $fb_type_all_h3 ; ?></h3>
				<div class="inside">
					<form method="post" action="">
						<select name="fb_type_all" id="fb_type_all">
							<option value=""><?php _e('View posts and pages', 'sayfasayacprc'); ?></option>
							<option value="post"><?php _e('Posts', 'sayfasayacprc'); ?></option>
							<option value="page"><?php _e('Pages', 'sayfasayacprc'); ?></option>
						</select>
						<select name="fb_count_all" id="fb_count_all">
							<option value="10">10</option>
							<option value="20">20</option>
							<option value="50">50</option>
							<option value="100">100</option>
							<option value="200">200</option>
							<option value="500">500</option>
							<option value="<?php echo fb_sayfa_sayac_get_totalposts(); ?>"><strong><?php _e('all', 'sayfasayacprc'); ?> <?php echo fb_sayfa_sayac_get_totalposts(); ?></strong></option>
						</select> ( <?php _e('of', 'sayfasayacprc'); ?> <?php echo fb_sayfa_sayac_get_totalposts(); ?> )

						<input class="button-secondary" type="submit" name="Options" value="<?php _e('View', 'sayfasayacprc'); ?> &raquo;" />
					</form>
					<br class="clear" />
					<?php
					if ( !isset($fb_count_all) || ($fb_count_all == '' ) )
						$fb_count_all = 10;
					if ( !isset($fb_type_all) )
						$fb_type_all = '';
					fb_sayfa_sayac_reporter($fb_count_all,' ',' <small>(','<ul>','<li>',')</small></li>','</ul>','d.m.Y, h:i', $fb_type_all); ?>
				</div>
			</div>
		</div>

		<div id="poststuff" class="ui-sortable meta-box-sortables">
			<div class="postbox" >
				<div class="handlediv" title="<?php _e('Click to toggle'); ?>"><br/></div>
				<h3 id="about"><?php _e('Information on the plugin', 'sayfasayacprc') ?></h3>
				<div class="inside">
					<p>
					<span style="float: left;">
						<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
						<input type="hidden" name="cmd" value="_s-xclick">
						<input type="hidden" name="hosted_button_id" value="6069955">
						<input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donate_SM.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
						<img alt="" border="0" src="https://www.paypal.com/de_DE/i/scr/pixel.gif" width="1" height="1">
						</form>
					</span>
					<?php _e('Further information: Visit the <a href="http://bueltge.de/wp-sayfa-sayac-de-counter-fuer-beitraege-gelesen-plugin/83/" title="to the plugin-website" >plugin\'s homepage</a> for further information or grabbing the latest version of this plugin.', 'sayfasayacprc'); ?><br />&copy; Copyright <a href="http://www.dmry.net/" title="Zur Website" >dmRy</a> and <a href="http://bueltge.de" title="<?php _e('to the Website', 'sayfasayacprc'); ?>" >Frank B&uuml;ltge</a> 2006 - <?php echo date('Y'); ?> | <?php _e('You want to thank me? Visit my <a href="http://bueltge.de/wunschliste/" title="to the wishlist" >wishlist</a> or donate.', 'sayfasayacprc'); ?></p>
				<p style="text-align:right;"><small><?php echo get_num_queries(); ?> queries. <?php timer_stop(1); ?> seconds.</small></p>
				</div>
			</div>
		</div>

		<script type="text/javascript">
		<!--
		<?php if ( version_compare( $wp_version, '2.7alpha', '<' ) ) { ?>
		jQuery('.postbox h3').prepend('<a class="togbox">+</a> ');
		<?php } ?>
		jQuery('.postbox h3').click( function() { jQuery(jQuery(this).parent().get(0)).toggleClass('closed'); } );
		jQuery('.postbox .handlediv').click( function() { jQuery(jQuery(this).parent().get(0)).toggleClass('closed'); } );
		jQuery('.postbox.close-me').each(function() {
			jQuery(this).addClass("closed");
		});
		//-->
		</script>
		
	</div>
<?php
} // End Function fb_sayfa_sayac_statistic


/**
 * credit in wp-footer
 */
function fb_sayfa_sayac_admin_footer() {
	$plugin_data          = get_plugin_data( __FILE__ );
	$plugin_data['Title'] = $plugin_data['Name'];
	
	if ( !empty($plugin_data['PluginURI']) && !empty($plugin_data['Name']) )
		$plugin_data['Title'] = '<a href="' . $plugin_data['PluginURI'] . '" title="'.__( 'Visit plugin homepage' ).'">' . $plugin_data['Name'] . '</a>';
	
	if ( basename($_SERVER['REQUEST_URI']) == 'sayfa_sayac_de.php') {
		printf('%1$s ' . __('plugin') . ' | ' . __('Version') . ' <a href="http://bueltge.de/wp-sayfa-sayac-de-counter-fuer-beitraege-gelesen-plugin/83/#historie" title="' . __('History', 'sayfasayacprc') . '">%2$s</a> | ' . __('Author') . ' %3$s<br />', $plugin_data['Title'], $plugin_data['Version'], $plugin_data['Author']);
	}

}


/**
 * Images/ Icons in base64-encoding
 * @use function fb_sayfa_sayac_get_resource_url() for display
 */
if( isset($_GET['resource']) && !empty($_GET['resource'])) {
	# base64 encoding performed by base64img.php from http://php.holtsmark.no
	$resources = array(
		'ssprc.gif' =>
		'R0lGODlhCwALAKIEANTU1Kurq/b29pSUlP///wAAAAAAAAAAAC'.
		'H5BAEAAAQALAAAAAALAAsAAAMlSKoRMysGIZ50A1RJ3ybNow3f'.
		'VJGoQo4nRJDdpwqjtcDy/dhLAgA7'.
		'');
	
	if(array_key_exists($_GET['resource'], $resources)) {

		$content = base64_decode($resources[ $_GET['resource'] ]);

		$lastMod = filemtime(__FILE__);
		$client = ( isset($_SERVER['HTTP_IF_MODIFIED_SINCE']) ? $_SERVER['HTTP_IF_MODIFIED_SINCE'] : false );
		// Checking if the client is validating his cache and if it is current.
		if (isset($client) && (strtotime($client) == $lastMod)) {
			// Client's cache IS current, so we just respond '304 Not Modified'.
			header('Last-Modified: '.gmdate('D, d M Y H:i:s', $lastMod).' GMT', true, 304);
			exit;
		} else {
			// Image not cached or cache outdated, we respond '200 OK' and output the image.
			header('Last-Modified: '.gmdate('D, d M Y H:i:s', $lastMod).' GMT', true, 200);
			header('Content-Length: '.strlen($content));
			header('Content-Type: image/' . substr(strrchr($_GET['resource'], '.'), 1) );
			echo $content;
			exit;
		}
	}
}


/**
 * Display Images/ Icons in base64-encoding
 * @return $resourceID
 */
function fb_sayfa_sayac_get_resource_url($resourceID) {
	
	return trailingslashit( get_bloginfo('url') ) . '?resource=' . $resourceID;
}


/**
 * add menu in backend
 */
function fb_sayfa_sayac_add_menu() {
	global $wp_version;
	if ( current_user_can('edit_posts') && function_exists('add_submenu_page') ) {

		$menutitle = '';
		if ( version_compare( $wp_version, '2.6.999', '>' ) ) {
			$menutitle = '<img src="' . fb_sayfa_sayac_get_resource_url('ssprc.gif') . '" alt="" />' . ' ';
		}
		$menutitle .= __('Post Read Counter', 'sayfasayacprc');
		
		add_submenu_page('index.php', __('Sayfa Sayac - Post Read Counter', 'sayfasayacprc'), $menutitle, 9, __FILE__, 'fb_sayfa_sayac_statistic');
		if ( version_compare( $wp_version, '2.7alpha', '<' ) ) {
			add_filter('plugin_action_links', 'fb_sayfa_sayac_plugin_actions', 10, 2);
		} else {
			$plugin = plugin_basename(__FILE__);
			add_filter( 'plugin_action_links_' . $plugin, 'fb_sayfa_sayac_plugin_actions_new', 10, 2 );
			if ( version_compare( $wp_version, '2.8alpha', '>' ) )
				add_filter( 'plugin_row_meta', 'fb_sayfa_sayac_plugin_actions_new', 10, 2 );
		}
	}
}


/**
 * Adds an action link to the plugins page
 */
function fb_sayfa_sayac_plugin_actions($links, $file){
	static $this_plugin;

	if( !$this_plugin ) $this_plugin = plugin_basename(__FILE__);

	if( $file == $this_plugin ){
		$settings_link = '<a href="index.php?page=sayfa_sayac/sayfa_sayac_de.php">' . __('Statistic', 'sayac_toplam') . '</a>';
		$links = array_merge( array($settings_link), $links); // before other links
	}
	return $links;
}


/**
 * @version WP 2.7
 * Add action link(s) to plugins page
 *
 * @package Secure WordPress
 *
 * @param $links, $file
 * @return $links
 */
function fb_sayfa_sayac_plugin_actions_new($links, $file) {
	
	/* create link */
	if ( $file == plugin_basename(__FILE__) ) {
		array_unshift(
			$links,
			sprintf( '<a href="index.php?page=%s">%s</a>', plugin_basename(__FILE__), __('Statistic', 'sayac_toplam') )
		);
	}
	
	return $links;
}


if ( function_exists('add_action') ) {
	/* install on activation */
	register_activation_hook(__FILE__, 'SayfaSayacYukle');
	add_action('init', 'fb_sayfa_sayac_textdomain');
	
	/* Register WordPress hooks */
	if ( is_admin() ) {
		add_action('admin_menu', 'fb_sayfa_sayac_add_menu');
		add_action('in_admin_footer', 'fb_sayfa_sayac_admin_footer');
	}
}
?>